class AR::Events::ARObjectEntryBlockedEvent < AR::Events::Event

  attr_participant :traveller, :blocker, :gateway

  def initialize params
    super params
  end 

  def default_story
    if engine.world.player == traveller
      "However, you are stopped by #{blocker.name}."
    else
      "However, #{traveller.name} is stopped by #{blocker.name}."
    end
  end



end
